# Copyright (C) 2001 Justin Kirby <justink@rochester.rr.com>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# The following is a hack so automake will stop
# using $(LINK) as a default target
# Which causes lots of problems if there are no _SOURCES
# in conditional makes
LINK = $(CXXLINK)


if HAS_EFENCE
LIB_EFENCE = -L/usr/lib -lefence
else
LIB_EFENCE =
endif

if IS_ANSI
F_ANSI = -ansi
else
F_ANSI =
endif

if DEBUG
DBGFLAGS = -g -DDEBUG -Wall $(F_ANSI)
LIB_D = $(LIB_EFENCE)
if XERCESDEBUG
XERCES_LDIR=$(xercesc_lib_debug)
XERCES_IDIR=$(xercesc_inc_debug)
else
XERCES_LDIR=$(xercesc_lib)
XERCES_IDIR=$(xercesc_inc)
endif
else
XERCES_LDIR=$(xercesc_lib)
XERCES_IDIR=$(xercesc_inc)
DBGFLAGS = -O2 $(F_ANSI)
LIB_D = 
endif

#if IS_CYGWIN
#CYGWIN_CFLAGS=-mno-cygwin
#CYGWIN_CXXFLAGS=-mno-cygwin
#else
CYGWIN_CFLAGS=
CYGWIN_CXXFLAGS=
#endif

AM_CXXFLAGS = $(DBGFLAGS) $(CYGWIN_CXXFLAGS) $(PTHREAD_CFLAGS)
AM_CFLAGS = $(DBGFLAGS) $(CYGWIN_CFLAGS) $(PTHREAD_CFLAGS)
AM_LIBS = $(PTHREAD_LIBS) $(LIB_D) $(LIBS)
