/********************************************************************
 * xdat
 * lib to provide xdata
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "xdata/jabxdatabld.hpp"
#include "framework/xmlfilters.hpp"
#include "framework/xmlutil.hpp"
#include "framework/xmlstr.hpp"

XERCES_CPP_NAMESPACE_USE
namespace jabber
{
  bool JabDataBuild::CanBuild(xercesc::DOMNode *const nd)const
  {
    oa::xmlstr<XMLCh,char> ns(Xmlns());
    oa::DomFilterNs filter(nd->getOwnerDocument(),nd,ns);
    return filter.HasNs();
  }

  JabPacket* JabDataBuild::Build(xercesc::DOMNode *const nd)
  {
    /**
     * allowed elements
     * - instructions
     * - title
     * - field
     * - reported
     * - item
     * allowed attributes
     * - type
     */

    ;
  }
};
