/********************************************************************
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *******************************************************************/


#ifdef WIN32
#   ifdef OAXSTRM_EXPORTS
#       define OAXSTRM_API __declspec(dllexport)
#       define EXPIMP_TEMPLATE
#   else
#       define OAXSTRM_API __declspec(dllimport)
#       define EXPIMP_TEMPLATE extern
#   endif
#else
#   define OAXSTRM_API
#   define EXPIMP_TEMPLATE
#endif


#ifdef WIN32
/*
#include <string>
#include <vector>
#include <map>
#include "iojabber.h"
#include "ijabber.h"
#   ifndef STLEXPORTED
#   define STLEXPORTED
        EXPIMP_TEMPLATE template class OAJABBER_API std::basic_string<wchar_t>;
        EXPIMP_TEMPLATE template class OAJABBER_API std::vector<jabber::TcpThrd*>;
//        EXPIMP_TEMPLATE template class OAJABBER_API std::map<std::basic_string<wchar_t>, jabber::JabPacket*>;
#   endif
*/
#endif
